# WebSocket API

The lifecycle of a Websocket connection is as below:

1. Open a Websocket connection to `ws.aevo.xyz` (or `ws-testnet.aevo.xyz` for Testnet).
2. Authenticate for private operations.
3. Subscribe to a channel.
4. The connection will start streaming data from the subscription.
5. Connection will time out after 15 minutes of inactivity. To keep the connection alive, perform a `ping` operation. Sending any other operation will also refresh the connection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/websocket-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
